/*
 * Copyright 2008 Arthur Renato Mello <arthur@mandriva.com>
 * Copyright 2008 Gustavo Pichorim Boiko <boiko@mandriva.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef APPLICATION_H
#define APPLICATION_H

#include <QQueue>

#include <kapplication.h>

class Application : public KApplication
{
	Q_OBJECT

	public:
		Application(bool test);
		~Application();

		bool x11EventFilter(XEvent *event);
	
	protected:
		void timerEvent(QTimerEvent *event);

	signals:
		void gotState(const QString&);

	private:
		Atom mKDESplashProgressAtom;
		QQueue<QString> mTestSteps;
};
#endif
