/*
 * Copyright 2008 Arthur Renato Mello <arthur@mandriva.com>
 * Copyright 2008 Gustavo Pichorim Boiko <boiko@mandriva.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>
#include <QMap>

#include "animateditem.h"
#include "animatedstatus.h"

class ThemeSettings;

class MainWidget : public QWidget
{
	Q_OBJECT
	public:
		MainWidget(QString theme, QRect p_screenGeometry, QWidget *parent = 0);
		~MainWidget();

	public slots:
		void activateState(const QString &state);

	protected:
		void mouseReleaseEvent(QMouseEvent *e);
		void paintEvent(QPaintEvent *e);

	private:
		void initAnimatedItems();

		ThemeSettings *m_settings;
		QPixmap m_bg;
		QMap<QString, AnimatedItem*> m_itemsMap;
		AnimatedStatus *m_status;
		QMap<QString, QString> m_statusMap;
};

#endif
